=== debian/control ===
Source: ruby1.8
Section: ruby
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: akira yamada <akira@debian.org>
Uploaders: Daigo Moriwaki <daigo@debian.org>, Lucas Nussbaum <lucas@debian.org>
Build-Depends: cdbs, debhelper (>= 5), autotools-dev, autoconf, m4, quilt (>= 0.40), patch, bison, binutils (>= 2.14.90.0.7), libgdbm-dev, libncurses5-dev, libreadline-gplv2-dev, tcl-dev, tk-dev, zlib1g-dev, libssl-dev (>= 0.9.6b), file
Standards-Version: 3.9.2
Homepage: http://www.ruby-lang.org/
Vcs-Git: git://git.debian.org/collab-maint/ruby1.8.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ruby1.8.git;a=summary

Package: ruby1.8
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libruby1.8 (= ${binary:Version})
Conflicts: irb1.8 (<< 1.8.7.249-3~), rdoc1.8 (<< 1.8.7.249-3~), ri1.8 (<< 1.8.7.334-4~), ruby (<= 4.5), ri (<= 4.5)
Replaces: irb1.8, rdoc1.8
Provides: irb1.8, rdoc1.8, ruby, ruby-interpreter
Suggests: ruby1.8-examples, ri1.8
Description: Interpreter of object-oriented scripting language Ruby 1.8
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package provides version 1.8 series of Ruby.
 .
 On Debian, Ruby 1.8 is provided as separate packages.  You can get
 full Ruby 1.8 distribution by installing following packages.
 .
   ruby1.8 ruby1.8-dev ri1.8 ruby1.8-examples libtcltk-ruby1.8

Package: libruby1.8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libsdbm-ruby1.8, libdl-ruby1.8, libpty-ruby1.8, libbigdecimal-ruby1.8, libsyslog-ruby1.8, libstrscan-ruby1.8, libiconv-ruby1.8, libracc-runtime-ruby1.8, libdrb-ruby1.8, liberb-ruby1.8, libtest-unit-ruby1.8, librexml-ruby1.8, libxmlrpc-ruby1.8, libsoap-ruby1.8, libwebrick-ruby1.8, libyaml-ruby1.8, libzlib-ruby1.8, libcurses-ruby1.8, libopenssl-ruby1.8 (<< 1.8.6), libdbm-ruby1.8, libgdbm-ruby1.8, libreadline-ruby1.8, libopenssl-ruby1.8, irb1.8 (<< 1.8.7.249-3~), rdoc1.8 (<< 1.8.7.249-3~)
Replaces: libsdbm-ruby1.8, libdl-ruby1.8, libpty-ruby1.8, libbigdecimal-ruby1.8, libsyslog-ruby1.8, libstrscan-ruby1.8, libiconv-ruby1.8, libracc-runtime-ruby1.8, libdrb-ruby1.8, liberb-ruby1.8, libtest-unit-ruby1.8, librexml-ruby1.8, libxmlrpc-ruby1.8, libsoap-ruby1.8, libwebrick-ruby1.8, libyaml-ruby1.8, libzlib-ruby1.8, libcurses-ruby1.8, libdbm-ruby1.8, libgdbm-ruby1.8, libreadline-ruby1.8, libopenssl-ruby1.8, irb1.8, rdoc1.8
Provides: libsdbm-ruby1.8, libdl-ruby1.8, libpty-ruby1.8, libbigdecimal-ruby1.8, libsyslog-ruby1.8, libstrscan-ruby1.8, libiconv-ruby1.8, libracc-runtime-ruby1.8, libdrb-ruby1.8, liberb-ruby1.8, libtest-unit-ruby1.8, librexml-ruby1.8, libxmlrpc-ruby1.8, libsoap-ruby1.8, libwebrick-ruby1.8, libyaml-ruby1.8, libzlib-ruby1.8, libcurses-ruby1.8, libdbm-ruby1.8, libgdbm-ruby1.8, libreadline-ruby1.8, libopenssl-ruby1.8
Description: Libraries necessary to run Ruby 1.8
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package includes the libruby, necessary to run Ruby 1.8.

Package: libruby1.8-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libruby1.8 (= ${binary:Version})
Description: Debugging symbols for Ruby 1.8
 Contains debugging symbols for libruby1.8.
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.

Package: ruby1.8-dev
Architecture: any
Depends: libruby1.8 (= ${binary:Version}), libc6-dev, ${misc:Depends}
Recommends: ruby1.8 (= ${binary:Version})
Provides: ruby-dev
Description: Header files for compiling extension modules for the Ruby 1.8
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package contains the header files and the mkmf library, necessary
 to make extension library for Ruby 1.8.

Package: libtcltk-ruby1.8
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libtk-ruby1.8
Replaces: libtk-ruby1.8
Provides: libtk-ruby1.8
Description: Tcl/Tk interface for Ruby 1.8
 tcltklib is an extension library for Ruby 1.8.  It makes Ruby 1.8
 programs to be able to use low level interface for the Tcl/Tk.

Package: ruby1.8-examples
Architecture: all
Depends: ${misc:Depends}
Suggests: ruby1.8 (>= ${source:Version})
Description: Examples for Ruby 1.8
 This package provides example programs about Ruby 1.8.
 .
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.

Package: ri1.8
Architecture: all
Depends: ruby1.8 (>= ${source:Version}), ${misc:Depends}
Provides: ri
Description: Ruby Interactive reference (for Ruby 1.8)
 ri is a command line tool that displays descriptions of built-in Ruby
 methods, classes, and modules. For methods, it shows you the calling
 sequence and a description. For classes and modules, it shows a
 synopsis along with a list of the methods the class or module
 implements.
 .
 This package provides the ri documentation for the Ruby 1.8 standard library.
 The ri1.8 executable itself is in the ruby1.8 package.

Package: ruby1.8-full
Architecture: all
Depends: ruby1.8, ri1.8, ruby1.8-dev, ${misc:Depends}
Recommends: libtcltk-ruby1.8
Provides: ruby-full
Description: Ruby 1.8 full installation
 For many good reasons, the Ruby programming language is split in many
 small different packages. Installing this package will make sure you have
 all the packages that add up to a full Ruby installation, with the exception
 of the Tcl/Tk bindings for Ruby, which are only recommended.
