=== debian/watch ===
version=3

opts="pasv,uversionmangle=s/-p/\./" \
ftp://ftp.ruby-lang.org/pub/ruby/1.8/ruby-(1\.8\.\d-p\d*)\.tar\.gz debian uupdate
