## ruby1.8 1.8.7.358

=== debian/changelog ===
ruby1.8 (1.8.7.358-7ubuntu2) saucy; urgency=low

  * SECURITY UPDATE: incorrect ssl hostname verification
    - debian/patches/CVE-2013-4073.patch: fix hostname check and regression
      in ext/openssl/lib/openssl/ssl-internal.rb, added test to
      test/openssl/test_ssl.rb.
    - CVE-2013-4073

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 08 Jul 2013 10:11:00 -0400

ruby1.8 (1.8.7.358-7ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Fix safe level bypass (CVE-2012-4466).
    - Build using the default GCC again, and -fno-optimize-sibling-calls.
  * Handle multiarch Tcl/Tk.
  * Build with -fno-tree-dce.  This fixes the ruby-ffi build.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Mar 2013 13:40:19 +0000

ruby1.8 (1.8.7.358-7) unstable; urgency=high

  [ Salvatore Bonaccorso ]
  * Add CVE-2013-1821.patch patch.
    CVE-2013-1821: Fix entity expansion DoS vulnerability in REXML. When
    reading text nodes from an XML document, the REXML parser could be
    coerced into allocating extremely large string objects which could
    consume all available memory on the system. (Closes: #702526)

  [ Lucas Nussbaum ]
  * Reviewed and tested Salvatore's patch.

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 12 Mar 2013 08:34:11 +0100

ruby1.8 (1.8.7.358-6ubuntu2) raring; urgency=low

  * Build using the default GCC again.
    Build using -fno-optimize-sibling-calls. Unchecked if it works
    without it, but it's not worth for investigating in ruby1.8 anymore.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Feb 2013 21:00:42 +0100

ruby1.8 (1.8.7.358-6ubuntu1) raring; urgency=low

  * SECURITY UPDATE: Safe level bypass (LP: #1077223)
    - debian/patches/CVE-2012-4466.patch: Remove incorrect string taint in
      exception handling method. Based on upstream patch.
    - CVE-2012-4466

 -- Tyler Hicks <tyhicks@canonical.com>  Fri, 09 Nov 2012 14:56:55 -0800

ruby1.8 (1.8.7.358-6) unstable; urgency=high

  * Timeout the execution of the tests after 2 hours. This should fix the
    build on kfreebsd-* (Closes: #691793) and hurd.

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 31 Oct 2012 22:12:50 +0100

ruby1.8 (1.8.7.358-5) unstable; urgency=high

  * added debian/patches/CVE-2012-4481.patch to fix CVE-2012-4481
    (Closes: #689945)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 14 Oct 2012 19:45:52 -0300

ruby1.8 (1.8.7.358-4) unstable; urgency=low

  * debian/rules: avoid running DRB tests, since they crash and leave runaway
    processes that make buildds hang forever. With this, I expect that we
    don't need to set timeouts for the test suite at all (Closes: #674942).
  * Added patch by Steven Chamberlain to make ruby1.8-dev depend on gcc-4.6,
    since Ruby will hard code that as the compiler for building C extensions.
    Any C extension will FTBFS if gcc-4.6 is not installed (Closes: #675347).

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 01 Jun 2012 22:44:42 -0300

ruby1.8 (1.8.7.358-3) unstable; urgency=low

  * Guard test suit run with a explicit timeout to avoid FTBFS on kfreebsd-*
    due to a timeout after 150 minutes of inactivity (Closes: #673594). For
    now, the timeout is  1 hour, which should be enough time to run the test
    suite on other architectures, and is less than the 150 minutes tolerated
    by kfreebsd-*. Thanks to Steven Chamberlain.
  * Force compilation with gcc-4.6. This avoids segfaults when ruby1.8 is
    compiled with gcc-4.7 (See #674541).
  * debian/patches/use-ldflags.patch: patch by Simon Ruderich to make Ruby
    use any existing LDFLAGS environment variable. This should make ruby1.8 be
    properly built with hardening (Closes: #667957).

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 24 May 2012 22:19:52 -0300

ruby1.8 (1.8.7.358-2) unstable; urgency=low

  * Marking 2 symbols as specific to 64-bit architectures. This should fix the
    build on all non-64-bit architectures.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 22 Apr 2012 11:43:29 -0300

ruby1.8 (1.8.7.358-1) unstable; urgency=low

  * New upstream release
    + Fixes vulnerability against algorithmic complexity attacks on hashes.
      This fixes CVE-2011-4815 and Closes: #658072
    + Fixes vulnerability in OpenSSL (CVE-2011-3389)
  * Added myself to Uploaders.
  * Remove -V from the dh_makeshlibs call; use a symbols file for libruby1.8
    instead. This way we don't force the latest version as a dependency for
    packages that link to libruby1.8. (Closes: #636975).
  * Enable hardened build flags with a patch by Moritz Muehlenhoff - thanks!
    (Closes: #667957)
  * Suggests ruby-switch (Closes: #654311)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 21 Apr 2012 12:36:00 -0300
