=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,9 @@
 
 DEB_AUTO_UPDATE_AUTOCONF = YES
 
-CFLAGS := -fno-strict-aliasing -g
-CXXFLAGS := -fno-strict-aliasing -g
+CC = gcc #-4.6 # see #674541; same version must be in Depends of ruby1.8-dev
+CFLAGS += -fno-optimize-sibling-calls -fno-tree-dce -fno-strict-aliasing -g
+CXXFLAGS += -fno-optimize-sibling-calls -fno-tree-dce -fno-strict-aliasing -g
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -g -O0
 else
@@ -62,7 +63,10 @@
 
 common-post-build-arch::
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	-make test-all
+	# avoid running drb tests -- they make buildds hang forever
+	mv test/drb _test_drb
+	-timeout 2h make test-all
+	mv _test_drb test/drb
 endif
 
 
@@ -94,7 +98,7 @@
 
 DEB_COMPRESS_EXCLUDE = .rb .pl .py .scm .awk .dat
 DEB_SHLIBDEPS_INCLUDE = $(CURDIR)/debian/libruby$(ruby_ver)/usr/lib
-DEB_DH_MAKESHLIBS_ARGS_ALL = -m$(ruby_ver) -V
+DEB_DH_MAKESHLIBS_ARGS_ALL = -m$(ruby_ver)
 
 binary-install/libtcltk-ruby$(ruby_ver)::
 	dh_movefiles -p$(cdbs_curpkg) \
@@ -196,11 +200,3 @@
 #	install -d $(examples_dir)/nkf
 	install -d $(examples_dir)/pty
 	cd $(DEB_SRCDIR)/ext/pty && \
-	  cp expect_sample.rb script.rb shl.rb \
-	    $(examples_dir)/pty
-#	install -d $(examples_dir)/racc
-#	install -d $(examples_dir)/sdbm
-#	install -d $(examples_dir)/socket
-#	install -d $(examples_dir)/stringio
-#	install -d $(examples_dir)/strscan
-#	install -d $(examples_dir)/syck
